org.eclipse.emf.cdo.spi.common.commit

## Interface InternalCDOCommitInfoManager.CommitInfoLoader

- All Known Subinterfaces:
    CDOSessionProtocol, IDBStoreAccessor, IHibernateStoreAccessor, ILissomeStoreAccessor, IMongoDBStoreAccessor, InternalFailoverParticipant, InternalRepository, InternalSynchronizableRepository, IObjectivityStoreAccessor, IStoreAccessor, IStoreAccessor.Raw, IStoreAccessor.Raw2, IStoreAccessor.UnitSupport
  All Known Implementing Classes:
    LongIDStoreAccessor, StoreAccessor, StoreAccessorBase
  Enclosing interface:
    InternalCDOCommitInfoManager

      public static interface InternalCDOCommitInfoManager.CommitInfoLoader

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOCommitData` | `loadCommitData(long timeStamp)`
    `void` | `loadCommitInfos(CDOBranch branch, long startTime, long endTime, CDOCommitInfoHandler handler)`

- - ### Method Detail

    - #### loadCommitInfos

          void loadCommitInfos(CDOBranch branch,
                               long startTime,
                               long endTime,
                               CDOCommitInfoHandler handler)

    - #### loadCommitData

          CDOCommitData loadCommitData(long timeStamp)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html